org.eclipse.emf.cdo.eresource.provider

## Class EresourceItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.eresource.util.EresourceAdapterFactory
    - - org.eclipse.emf.cdo.eresource.provider.EresourceItemProviderAdapterFactory

- All Implemented Interfaces:
    AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IChildCreationExtender, IDisposable

      public class EresourceItemProviderAdapterFactory
      extends EresourceAdapterFactory
      implements ComposeableAdapterFactory, IChangeNotifier, IDisposable, IChildCreationExtender

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances. @since 2.0
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

      `IChildCreationExtender.Descriptor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CDOBinaryResourceItemProvider` | `cdoBinaryResourceItemProvider` This keeps track of the one adapter used for all `CDOBinaryResource` instances.
    `protected CDOResourceFolderItemProvider` | `cdoResourceFolderItemProvider` This keeps track of the one adapter used for all `CDOResourceFolder` instances.
    `protected CDOResourceItemProvider` | `cdoResourceItemProvider` This keeps track of the one adapter used for all `CDOResource` instances.
    `protected CDOTextResourceItemProvider` | `cdoTextResourceItemProvider` This keeps track of the one adapter used for all `CDOTextResource` instances.
    `protected IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
    `protected ChildCreationExtenderManager` | `childCreationExtenderManager` This helps manage the child creation extenders.
    `protected ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
    `protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

    - ### Fields inherited from class org.eclipse.emf.cdo.eresource.util.EresourceAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EresourceItemProviderAdapterFactory()` This constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adapter` | `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
    `Adapter` | `createCDOBinaryResourceAdapter()` This creates an adapter for a `CDOBinaryResource`.
    `Adapter` | `createCDOResourceAdapter()` This creates an adapter for a `CDOResource`.
    `Adapter` | `createCDOResourceFolderAdapter()` This creates an adapter for a `CDOResourceFolder`.
    `Adapter` | `createCDOTextResourceAdapter()` This creates an adapter for a `CDOTextResource`.
    `void` | `dispose()` This disposes all of the item providers created by this factory.
    `void` | `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
    `java.util.List<IChildCreationExtender>` | `getChildCreationExtenders()`
    `java.util.Collection<?>` | `getNewChildDescriptors(java.lang.Object object, EditingDomain editingDomain)`
    `ResourceLocator` | `getResourceLocator()`
    `ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
    `void` | `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

    - ### Methods inherited from class org.eclipse.emf.cdo.eresource.util.EresourceAdapterFactory

      `createAdapter, createCDOFileResourceAdapter, createCDOResourceLeafAdapter, createCDOResourceNodeAdapter, createEObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.
      Generated

    - #### changeNotifier

          protected IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.
      Generated

    - #### childCreationExtenderManager

          protected ChildCreationExtenderManager childCreationExtenderManager

      This helps manage the child creation extenders.
      Generated

    - #### supportedTypes

          protected java.util.Collection<java.lang.Object> supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.
      Generated

    - #### cdoResourceFolderItemProvider

          protected CDOResourceFolderItemProvider cdoResourceFolderItemProvider

      This keeps track of the one adapter used for all `CDOResourceFolder` instances.
      Generated

    - #### cdoResourceItemProvider

          protected CDOResourceItemProvider cdoResourceItemProvider

      This keeps track of the one adapter used for all `CDOResource` instances.
      Generated

    - #### cdoBinaryResourceItemProvider

          protected CDOBinaryResourceItemProvider cdoBinaryResourceItemProvider

      This keeps track of the one adapter used for all `CDOBinaryResource` instances.
      Since:
        4.1
      Generated

    - #### cdoTextResourceItemProvider

          protected CDOTextResourceItemProvider cdoTextResourceItemProvider

      This keeps track of the one adapter used for all `CDOTextResource` instances.
      Since:
        4.1
      Generated

  - ### Constructor Detail

    - #### EresourceItemProviderAdapterFactory

          public EresourceItemProviderAdapterFactory()

      This constructs an instance.
      Generated

  - ### Method Detail

    - #### createCDOResourceFolderAdapter

          public Adapter createCDOResourceFolderAdapter()

      This creates an adapter for a `CDOResourceFolder`.
      Overrides:
        `createCDOResourceFolderAdapter` in class `EresourceAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CDOResourceFolder`
      Generated

    - #### createCDOResourceAdapter

          public Adapter createCDOResourceAdapter()

      This creates an adapter for a `CDOResource`.
      Overrides:
        `createCDOResourceAdapter` in class `EresourceAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CDOResource`
      Generated

    - #### createCDOBinaryResourceAdapter

          public Adapter createCDOBinaryResourceAdapter()

      This creates an adapter for a `CDOBinaryResource`.
      Overrides:
        `createCDOBinaryResourceAdapter` in class `EresourceAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CDOBinaryResource`
      Generated

    - #### createCDOTextResourceAdapter

          public Adapter createCDOTextResourceAdapter()

      This creates an adapter for a `CDOTextResource`.
      Overrides:
        `createCDOTextResourceAdapter` in class `EresourceAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CDOTextResource`
      Generated

    - #### getRootAdapterFactory

          public ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
      Generated

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
      Generated

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `EresourceAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### adapt

          public Adapter adapt(Notifier notifier,
                               java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `AdapterFactory`
      Overrides:
        `adapt` in class `AdapterFactoryImpl`
      Generated

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                                        java.lang.Object type)

      Specified by:
        `adapt` in interface `AdapterFactory`
      Overrides:
        `adapt` in class `AdapterFactoryImpl`
      Generated

    - #### getChildCreationExtenders

          public java.util.List<IChildCreationExtender> getChildCreationExtenders()

      Generated

    - #### getNewChildDescriptors

          public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                                EditingDomain editingDomain)

      Specified by:
        `getNewChildDescriptors` in interface `IChildCreationExtender`
      Generated

    - #### getResourceLocator

          public ResourceLocator getResourceLocator()

      Specified by:
        `getResourceLocator` in interface `IChildCreationExtender`
      Generated

    - #### addListener

          public void addListener(INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `IChangeNotifier`
      Generated

    - #### removeListener

          public void removeListener(INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `IChangeNotifier`
      Generated

    - #### fireNotifyChanged

          public void fireNotifyChanged(Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `IChangeNotifier`
      Generated

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `IDisposable`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html